curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisonsimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"currentYear": {
"year": "<string>",
"beginMonth": "<string>",
"endMonth": "<string>",
"fromDate": "<string>",
"toDate": "<string>",
"consumption": {
"energy": 123,
"cost": 123,
"energiesByTariffHeading": {},
"costsByTariffHeading": {}
}
},
"previousYear": {
"year": "<string>",
"beginMonth": "<string>",
"endMonth": "<string>",
"fromDate": "<string>",
"toDate": "<string>",
"consumption": {
"energy": 123,
"cost": 123,
"energiesByTariffHeading": {},
"costsByTariffHeading": {}
}
},
"energyDifferenceRate": 123,
"costDifferenceRate": 123,
"weatherImpactMessageCode": "COLDER_WEATHER_HIGHER_CONSO",
"weatherImpactParameters": {}
}
]{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}Retrieve the comparison of annual electric energies in kWh between one year and the previous year, for a list of years, by tariff item (graph of comparison of annual energies.
Returning service for each year compared: the months between which the comparison was made, the electric energies by rate line of the site in Wh over the years requested, the percentage of evolution between the two years.
curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisonsimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/yearly-elec-energies-comparisons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"currentYear": {
"year": "<string>",
"beginMonth": "<string>",
"endMonth": "<string>",
"fromDate": "<string>",
"toDate": "<string>",
"consumption": {
"energy": 123,
"cost": 123,
"energiesByTariffHeading": {},
"costsByTariffHeading": {}
}
},
"previousYear": {
"year": "<string>",
"beginMonth": "<string>",
"endMonth": "<string>",
"fromDate": "<string>",
"toDate": "<string>",
"consumption": {
"energy": 123,
"cost": 123,
"energiesByTariffHeading": {},
"costsByTariffHeading": {}
}
},
"energyDifferenceRate": 123,
"costDifferenceRate": 123,
"weatherImpactMessageCode": "COLDER_WEATHER_HIGHER_CONSO",
"weatherImpactParameters": {}
}
]{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}Path Parameters
Edelia ID of the site
Query Parameters
Array of years for which a comparison of consumption between the year requested and the previous one. Format yyyy separated by ,
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pourcentage d'augmentation de l'énergie consommée entre l'année N-1 et N
Cost difference between year N and year N-1. Expressed in percentage
Code of the weather impact message to display
"COLDER_WEATHER_HIGHER_CONSO"
Only when weatherImpactMessageCode is returned. Map of keys and values matching the variables to replace in the text of the message with messageCode (example "impactPercent":23,"typeOfWinter":"hiver rigoureux").